/**
 * 
 */
/**
 * @author 80239322
 * 需求：在一个字符串s中查找是否存在字符串t，返回匹配点
 * e.g: s = "12345678123" t = "345" 则匹配，匹配点为2；返回2
 * e.g：s = "12345678123" t = "432" 则不匹配 ；返回 -1
 * DMP 算法
 *
 *
 * 三种方法的实际运行结果
 */
package string.kmp;